%global debug_package   %{nil}
%global _find_debuginfo_dwz_opts %{nil}
%global _dwz_low_mem_die_limit 0

Name:    externalip-webhook
Version: 1.0.0
Release: 1%{?dist}
Vendor:  Oracle America
Summary: Externalip-webhook, is a validating webhook which prevents services from using random external IPs.
License: Apache License 2.0
Group:   Development/Tools
Url:     https://github.com/kubernetes-sigs/externalip-webhook
Source0: %{name}-%{version}.tar.bz2
BuildRequires: golang >= 1.13.15

%define MOD_PATH github.com/kubernetes-security

%description
externalip-webhook, is a validating webhook which prevents services from using random external IPs.
Cluster administrators can specify list of CIDRs allowed to be used as external IP by specifying allowed-external-ip-cidrs parameter.
Webhook will only allow creation of services which doesn't require external IP or whose external IPs are within the range specified by the administrator.

%prep
%setup -n %{name}-%{version}

%build
# setup build environment
export GOPATH=$HOME/rpmbuild/BUILD/go
mkdir -p $GOPATH/bin
mkdir -p $GOPATH/src/%{MOD_PATH}
ln -s `pwd` $GOPATH/src/%{MOD_PATH}/externalip-webhook
pushd $GOPATH/src/%{MOD_PATH}/externalip-webhook

go mod download
CGO_ENABLED=0 GOOS=linux GOARCH=amd64 GO111MODULE=on go build -a -o %{name} main.go

popd

%install
install -m 755 -d %{buildroot}/usr/libexec
install -p -m 755 -t %{buildroot}/usr/libexec externalip-webhook

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
/usr/libexec/externalip-webhook

%changelog
* Tue Dec 01 2020 Tom Cocozzello <tom.cocozzello@oracle.com> 1.0.0-1
- Initial release for external-webhook
